Loading...
Searching...
No Matches
oscap_text.h File Reference

Multilingual text processing interface. More...

`#include <stdbool.h>`
`#include "oscap_export.h"`
Include dependency graph for oscap_text.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

OSCAP_API char * | oscap_textlist_get_preferred_plaintext (struct oscap_text_iterator *texts, const char *preferred_lang)
| gets a plaintext string representing given textlist
OSCAP_API struct oscap_text * | oscap_textlist_get_preferred_text (struct oscap_text_iterator *texts, const char *preferred_lang)
| gets oscap_text representing given textlist

## Variables

Common language codes
OSCAP_API const char *const | OSCAP_LANG_ENGLISH
| English.
OSCAP_API const char *const | OSCAP_LANG_ENGLISH_US
| American English.
OSCAP_API const char *const | OSCAP_LANG_DEFAULT
| Default language (i.e. American English).

## Detailed Description

Multilingual text processing interface.

Author
  Lukas Kuklinek lkukl.nosp@m.inek.nosp@m.@redh.nosp@m.at.c.nosp@m.om
  David Niemoller David.nosp@m..Nie.nosp@m.molle.nosp@m.r@g2.nosp@m.-inc..nosp@m.com